Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class AggregationArgumentHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.AggregationArgumentHandle

    public class AggregationArgumentHandle

extends StructureHandle

AggregationArgumentHandle.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`AggregationArgumentHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of aggregation argument.

Method Summary
`java.lang.String` | `getName()` Returns the argument name.
`java.lang.String` | `getValue()` Returns the argument value.
`void` | `setName(java.lang.String argumentName)` Sets the argument name.
`void` | `setValue(java.lang.String argumentValue)` Sets the argument value.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregationArgumentHandle

    public AggregationArgumentHandle(SimpleValueHandle valueHandle,
                                     int index)

  Constructs the handle of aggregation argument.

  Parameters:
    `valueHandle` - the value handle for aggregation argument list of one property
    `index` - the position of this aggregation argument in the list

Method Detail

### getName

    public java.lang.String getName()

  Returns the argument name.

  Returns:
    the argument name.

### setName

    public void setName(java.lang.String argumentName)
                 throws SemanticException

  Sets the argument name.

  Parameters:
    `argumentName` - the argument name to set
  Throws:
    `SemanticException`

### getValue

    public java.lang.String getValue()

  Returns the argument value.

  Returns:
    the argument value.

### setValue

    public void setValue(java.lang.String argumentValue)
                  throws SemanticException

  Sets the argument value.

  Parameters:
    `argumentValue` - the argument value to set
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.